Subject: Re: Pathname context
From: "Max Bowsher" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 3 Aug 2002 15:32:39 +0100

Robert Collins wrote:
> On Sat, 2002-08-03 at 21:41, Max Bowsher wrote:
>> I can see why this _is_ happening, but is this:
>>
>> max@POMELLO [~] $ cygpath -wa c:/cygwin/usr/lib
>> C:\cygwin\lib
>>
>> actually what _should_ happen?
>>
>> Shouldn't a DOS-style path be taken as-is? I can understand the /usr/bin ->
>> /bin, /usr/lib -> /lib mappings, and have even added my own /usr/sbin ->
/sbin,
>> but, to me, a DOS-style path should taken literally.
>
> At a guess (check the source for an authoritative answer):
>
> c:/cygwin/usr/lib -> /usr/lib (based on / mount point)
> /usr/lib -> c:\cygwin\lib

Very believable... but I was proposing a change in behaviour so that DOS paths
refer to what they look like, and don't get redirected, on the grounds that if
that is what you type, then that is what you mean.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/